Bug 124319 - Crash when starting Writer and Manage Changes dialog was left open
Summary: Crash when starting Writer and Manage Changes dialog was left open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-03-24 22:50 UTC by Gabor Kelemen
Modified: 2019-03-27 16:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace of the crash (26.77 KB, text/x-log)
2019-03-24 22:50 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2019-03-24 22:50:34 UTC
Created attachment 150268 [details]
Backtrace of the crash

In a recent debug master build Writer crashes on startup if the Manage Changes dialog was left open at the end of the previous run.

1, Open Writer, go to Edit - Track Changes - Manage
2, Once the Manage Changes window is shown close Writer
3, Start Writer -> crash

Version: 6.3.0.0.alpha0+
Build ID: c18179cf80516f1eca9629a0a8b888e0ca67a020
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded

Backtrace attached, top of it:

Thread 1 "soffice.bin" received signal SIGSEGV, Segmentation fault.
0x00007fffd259a830 in SwChildWinWrapper::UpdateHdl (this=0x55555abbcdd0) at /home/gabor/src/core/sw/source/uibase/fldui/fldwrap.cxx:48
48          GetController()->Activate();    // update dialog
#0  0x00007fffd259a830 in SwChildWinWrapper::UpdateHdl(Timer*) (this=0x55555abbcdd0) at /home/gabor/src/core/sw/source/uibase/fldui/fldwrap.cxx:48
#1  0x00007fffd259a809 in SwChildWinWrapper::LinkStubUpdateHdl(void*, Timer*) (instance=0x55555abbcdd0, data=0x55555abbce28) at /home/gabor/src/core/sw/source/uibase/fldui/fldwrap.cxx:46

This part was recently touched in:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=fbd79c6125fd302dde9af2d76171dd5ca794af4d
Comment 1 Xisco Faulí 2019-03-25 12:06:45 UTC
(In reply to Gabor Kelemen from comment #0)

> This part was recently touched in:
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=fbd79c6125fd302dde9af2d76171dd5ca794af4d

Indeed, Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2019-03-20 11:56:03 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-22 14:21:02 +0100
commit	fbd79c6125fd302dde9af2d76171dd5ca794af4d (patch)
tree	dc5b94523c89d892c07544368643bad2eea4c3af
parent	7d0bd54bad1782f74c156aa667e875c33efee0c1 (diff)
weld SwFieldDlg

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-03-25 21:16:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1a84b1c3978c691b857d481826dbe160666eb3ea%5E%21

Resolves: tdf#124319 crash on restoring redline SfxChildWin

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-03-27 16:46:51 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 705558aa455403cd006993f95b5b13981fdb3483
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue.

Closing as VERIFIED FIXED